Limerence
Datasets

Get Dataset

Get a specific dataset by ID

GET
/datasets/{id}

Get a specific dataset by ID

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/datasets/string"
{  "agent": {    "id": "string",    "name": "string"  },  "agentId": "string",  "createdAt": "string",  "description": null,  "entries": [    {      "actual": null,      "childCount": 0,      "comments": null,      "createdAt": "string",      "datasetId": "string",      "depth": 0,      "expected": "string",      "id": "string",      "input": "string",      "origin": "MANUAL",      "parentId": null,      "updatedAt": "string"    }  ],  "id": "string",  "name": "string",  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "datasets/not-found",    "detail": "string"  },  "message": "Dataset not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}